package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFX80 extends MwfRequest<MWFX80, MWFX80Response> {

    @Parameter(name = "APP_KEY")
    MWFX80 appKey(Long appKey);
    @Parameter(name = "CIF")
    MWFX80 cif(String cif);
    @Parameter(name = "CO")
    MWFX80 co(String co);
    @Parameter(name = "CO_Zamestnavatele")
    MWFX80 cOZamestnavatele(String cOZamestnavatele);
    @Parameter(name = "CP")
    MWFX80 cp(String cp);
    @Parameter(name = "CP_Zamestnavatele")
    MWFX80 cPZamestnavatele(String cPZamestnavatele);
    @Parameter(name = "CisloOP")
    MWFX80 cisloOP(String cisloOP);
    @Parameter(name = "CistyMesicniPrijem")
    MWFX80 cistyMesicniPrijem(Double cistyMesicniPrijem);
    @Parameter(name = "DatumNastehovaniOD")
    MWFX80 datumNastehovaniOD(java.util.Date datumNastehovaniOD);
    @Parameter(name = "DokonceniOnlineZadosti_FLAG")
    MWFX80 dokonceniOnlineZadostiFLAG(String dokonceniOnlineZadostiFLAG);
    @Parameter(name = "DruhBydleni")
    MWFX80 druhBydleni(String druhBydleni);
    @Parameter(name = "Email")
    MWFX80 email(String email);
    @Parameter(name = "ICO")
    MWFX80 ico(String ico);
    @Parameter(name = "Jmeno")
    MWFX80 jmeno(String jmeno);
    @Parameter(name = "Mesto")
    MWFX80 mesto(String mesto);
    @Parameter(name = "Mobile_Phone")
    MWFX80 mobilePhone(String mobilePhone);
    @Parameter(name = "Nazev_Zamestnavatele")
    MWFX80 nazevZamestnavatele(String nazevZamestnavatele);
    @Parameter(name = "Obec_Zamestnavatele")
    MWFX80 obecZamestnavatele(String obecZamestnavatele);
    @Parameter(name = "PSC")
    MWFX80 psc(String psc);
    @Parameter(name = "PSC_Zamestnavatele")
    MWFX80 pSCZamestnavatele(String pSCZamestnavatele);
    @Parameter(name = "PlatnostDruhehoDokladu")
    MWFX80 platnostDruhehoDokladu(java.util.Date platnostDruhehoDokladu);
    @Parameter(name = "PlatnostOP")
    MWFX80 platnostOP(java.util.Date platnostOP);
    @Parameter(name = "PocetVyzivovanychOsob")
    MWFX80 pocetVyzivovanychOsob(Long pocetVyzivovanychOsob);
    @Parameter(name = "PracovniPomer")
    MWFX80 pracovniPomer(String pracovniPomer);
    @Parameter(name = "Prijmeni")
    MWFX80 prijmeni(String prijmeni);
    @Parameter(name = "RC")
    MWFX80 rc(String rc);
    @Parameter(name = "RodinyStav")
    MWFX80 rodinyStav(String rodinyStav);
    @Parameter(name = "StatniPrislusnost")
    MWFX80 statniPrislusnost(String statniPrislusnost);
    @Parameter(name = "Telefon")
    MWFX80 telefon(String telefon);
    @Parameter(name = "Telefon_Zamestnavatele")
    MWFX80 telefonZamestnavatele(String telefonZamestnavatele);
    @Parameter(name = "Ulice")
    MWFX80 ulice(String ulice);
    @Parameter(name = "Ulice_Zamestnavatele")
    MWFX80 uliceZamestnavatele(String uliceZamestnavatele);
    @Parameter(name = "Vzdelani")
    MWFX80 vzdelani(String vzdelani);
    @Parameter(name = "ZamestnanOD")
    MWFX80 zamestnanOD(java.util.Date zamestnanOD);
    @Parameter(name = "Zeme")
    MWFX80 zeme(String zeme);
}
